<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <scenario>

    <name>Bombable: Four Gloster Gladiator near you</name>

    <description>
      This scenario puts Four Fiat GLADIATOR in the skies near
      your position.

      Install this scenario in the FlightGear/data/AI directory.

      BARANGER Emmanuel 05/2025
    </description>

    <nasal>
      <load>
        <![CDATA[
          var position  = geo.aircraft_position();
          var elevation = geo.elevation( position.lat(), position.lon() );
          position.set_alt( elevation != nil ? elevation : 0.0 );

          foreach( var tanker; props.globals.getNode("/ai/models",1).getChildren("tanker") ) {
            var callsign = tanker.getNode("callsign").getValue();
            if ( callsign == nil ) {
              continue;
            }
            if ( string.match(callsign,"GLADIATOR*") ) {
              tanker.getNode("position/latitude-deg",1).setDoubleValue( position.lat() - (0.002 * rand()) );
              tanker.getNode("position/longitude-deg",1).setDoubleValue( position.lon() - (0.002 * rand()) );
              tanker.getNode("position/altitude-ft", 1).setDoubleValue( position.alt() + 1500 );
              }
          }
          debug.dump('Gloster Gladiator scenario load script complete');
        ]]>
      </load>
    </nasal>

    <entry>
      <callsign type="string">GLADIATORBaron</callsign>
      <type>tanker</type>
      <class>tanker</class>
      <name     type="string">Gloster-Gladiator_1</name>
      <model    type="string">Aircraft/Gloster-Gladiator/Models/gladiator.xml</model>
      <speed    type="double">120.0</speed>
    </entry>

    <entry>
      <callsign type="string">GLADIATORStorm</callsign>
      <type>tanker</type>
      <class>tanker</class>
      <name     type="string">Gloster-Gladiator_2</name>
      <model    type="string">Aircraft/Gloster-Gladiator/Models/gladiator.xml</model>
      <speed    type="double">120.0</speed>
    </entry>

    <entry>
      <callsign type="string">GLADIATORWinger</callsign>
      <search-order>PREFER_AI</search-order>
      <type>tanker</type>
      <class>tanker</class>
      <name     type="string">Gloster-Gladiator_3</name>
      <model    type="string">Aircraft/Gloster-Gladiator/Models/gladiator.xml</model>
      <speed    type="double">120.0</speed>
    </entry>

    <entry>
      <callsign type="string">GLADIATORSupport</callsign>
      <search-order>PREFER_AI</search-order>
      <type>tanker</type>
      <class>tanker</class>
      <name     type="string">Gloster-Gladiator_4</name>
      <model    type="string">Aircraft/Gloster-Gladiator/Models/gladiator.xml</model>
      <speed    type="double">120.0</speed>
    </entry>

  </scenario>

</PropertyList>
